Bug 235771 - Nautilus crashes when trying to browse with s/ftp in local network.
Nautilus crashes when trying to browse with s/ftp in local network.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-10 00:21 EDT by Gian Paolo Mureddu
Modified: 2015-03-03 17:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:29:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gian Paolo Mureddu 2007-04-10 00:21:45 EDT
Description of problem:
Nautilus crashes while trying to browse through local network's s/ftp sites. The
crash occurs the moment I try to open/change to a directory.

Version-Release number of selected component (if applicable):

nautilus-2.16.2-7.fc6

How reproducible:

Always

Steps to Reproduce:
1. Open an ftp site with ftp:// or sftp:// as uri
2. Try to open a directory in the ftp site.
  
Actual results:

Nautilus crashes.

Expected results:

Nautilus should be able to browse the directories just fine as it happened in
previous versions and other architectures (i386 and ppc)

Additional info:

Here is the backtrace from bugbuddy:

Distribution: Fedora Core release 6 (Zod)
Gnome Release: 2.16.3 2007-01-31 (Red Hat, Inc)
BugBuddy Version: 2.16.0

System: Linux 2.6.20-1.2933.fc6 #1 SMP Mon Mar 19 11:00:19 EDT 2007 x86_64
X Vendor: The X.Org Foundation
X Vendor Release: 70101000
Selinux: No
Accessibility: Disabled

Memory status: size: 637104128 vsize: 637104128 resident: 55185408 share:
28622848 rss: 55185408 rss_rlim: -1
CPU usage: start_time: 1176168595 rtime: 1945 utime: 1141 stime: 804 cutime:103
cstime: 16 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/bin/nautilus'

(no debugging symbols found)
Using host libthread_db library "/lib64/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 46912496412624 (LWP 3511)]
[New Thread 1073875264 (LWP 15249)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
0x0000003952cc4a36 in poll () from /lib64/libc.so.6
#0  0x0000003952cc4a36 in poll () from /lib64/libc.so.6
#1  0x0000003e30e4a7e0 in XAddConnectionWatch () from /usr/lib64/libX11.so.6
#2  0x0000003e30e4ac09 in _XRead () from /usr/lib64/libX11.so.6
#3  0x0000003e30e4b601 in _XReply () from /usr/lib64/libX11.so.6
#4  0x0000003e30e2d5ca in XGetSelectionOwner () from /usr/lib64/libX11.so.6
#5  0x0000003a8665341a in gdk_selection_owner_get_for_display ()
   from /usr/lib64/libgdk-x11-2.0.so.0
#6  0x0000003a873868fb in gtk_selection_convert ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#7  0x000000000046bb3f in fm_directory_view_bump_zoom_level ()
#8  0x000000000046fde5 in fm_directory_view_bump_zoom_level ()
#9  0x000000000045d66d in fm_directory_view_update_menus ()
#10 0x0000000000460112 in fm_directory_view_bump_zoom_level ()
#11 0x0000003ed1a2d46b in g_source_get_current_time ()
   from /lib64/libglib-2.0.so.0
#12 0x0000003ed1a2cf64 in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
#13 0x0000003ed1a2fd9d in g_main_context_check () from /lib64/libglib-2.0.so.0
#14 0x0000003ed1a300aa in g_main_loop_run () from /lib64/libglib-2.0.so.0
#15 0x0000003a8732d023 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#16 0x000000000043a7a4 in POA_Nautilus_MetafileMonitor__init ()
#17 0x0000003952c1da44 in __libc_start_main () from /lib64/libc.so.6
#18 0x0000000000427399 in g_cclosure_marshal_VOID__ENUM ()
#19 0x00007fff2942dd08 in ?? ()
#20 0x0000000000000000 in ?? ()

Thread 2 (Thread 1073875264 (LWP 15249)):
#0  0x000000395380d96f in waitpid () from /lib64/libpthread.so.0
No symbol table info available.
#1  0x00000034c5c56d07 in gnome_gtk_module_info_get ()
   from /usr/lib64/libgnomeui-2.so.0
No symbol table info available.
#2  <signal handler called>
No symbol table info available.
#3  0x0000003952c301b5 in raise () from /lib64/libc.so.6
No symbol table info available.
#4  0x0000003952c31b20 in abort () from /lib64/libc.so.6
No symbol table info available.
#5  0x0000003952c298c6 in __assert_fail () from /lib64/libc.so.6
No symbol table info available.
#6  0x0000003e33214f1f in cairo_path_destroy () from /usr/lib64/libcairo.so.2
No symbol table info available.
#7  0x0000003e332138ec in cairo_path_destroy () from /usr/lib64/libcairo.so.2
No symbol table info available.
#8  0x0000003e33213b20 in cairo_path_destroy () from /usr/lib64/libcairo.so.2
No symbol table info available.
#9  0x0000003e33213b5c in cairo_path_destroy () from /usr/lib64/libcairo.so.2
No symbol table info available.
#10 0x0000003e33213da0 in cairo_path_destroy () from /usr/lib64/libcairo.so.2
No symbol table info available.
#11 0x0000003e3320df75 in cairo_font_options_create ()
   from /usr/lib64/libcairo.so.2
No symbol table info available.
#12 0x0000003e332098f9 in cairo_stroke_extents ()
   from /usr/lib64/libcairo.so.2
No symbol table info available.
#13 0x00000034c7e28ac4 in rsvg_error_get_type ()
   from /usr/lib64/librsvg-2.so.2
No symbol table info available.
#14 0x00000034c7e240e1 in rsvg_set_default_dpi ()
   from /usr/lib64/librsvg-2.so.2
No symbol table info available.
#15 0x00000034c7e1d552 in rsvg_handle_new_from_data ()
   from /usr/lib64/librsvg-2.so.2
No symbol table info available.
#16 0x00000034c7e1d7f3 in rsvg_handle_new_from_data ()
   from /usr/lib64/librsvg-2.so.2
No symbol table info available.
#17 0x00000034c7e1d552 in rsvg_handle_new_from_data ()
   from /usr/lib64/librsvg-2.so.2
No symbol table info available.
#18 0x00000034c7e1d7f3 in rsvg_handle_new_from_data ()
   from /usr/lib64/librsvg-2.so.2
No symbol table info available.
#19 0x00000034c7e1d552 in rsvg_handle_new_from_data ()
   from /usr/lib64/librsvg-2.so.2
No symbol table info available.
#20 0x00000034c7e1e027 in rsvg_handle_new_from_data ()
   from /usr/lib64/librsvg-2.so.2
No symbol table info available.
#21 0x00000034c7e1d552 in rsvg_handle_new_from_data ()
   from /usr/lib64/librsvg-2.so.2
No symbol table info available.
#22 0x00000034c7e293f8 in rsvg_handle_render_cairo_sub ()
   from /usr/lib64/librsvg-2.so.2
No symbol table info available.
#23 0x00000034c7e2985d in rsvg_handle_get_pixbuf_sub ()
   from /usr/lib64/librsvg-2.so.2
No symbol table info available.
#24 0x00002aaaba06df1d in fill_info ()
   from /usr/lib64/gtk-2.0/2.10.0/loaders/svg_loader.so
No symbol table info available.
#25 0x0000003ed2609326 in gdk_pixbuf_loader_close ()
   from /usr/lib64/libgdk_pixbuf-2.0.so.0
No symbol table info available.
#26 0x00000034c5c64750 in gnome_gdk_pixbuf_new_from_uri_at_scale ()
   from /usr/lib64/libgnomeui-2.so.0
No symbol table info available.
#27 0x00000034c5c5450a in gnome_thumbnail_factory_generate_thumbnail ()
   from /usr/lib64/libgnomeui-2.so.0
No symbol table info available.
#28 0x00000000004cce39 in nautilus_marshal_BOOLEAN__POINTER ()
No symbol table info available.
#29 0x0000003953806305 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#30 0x0000003952ccd50d in clone () from /lib64/libc.so.6
No symbol table info available.
#31 0x0000000000000000 in ?? ()
No symbol table info available.

Thread 1 (Thread 46912496412624 (LWP 3511)):
#0  0x0000003952cc4a36 in poll () from /lib64/libc.so.6
No symbol table info available.
#1  0x0000003e30e4a7e0 in XAddConnectionWatch () from /usr/lib64/libX11.so.6
No symbol table info available.
#2  0x0000003e30e4ac09 in _XRead () from /usr/lib64/libX11.so.6
No symbol table info available.
#3  0x0000003e30e4b601 in _XReply () from /usr/lib64/libX11.so.6
No symbol table info available.
#4  0x0000003e30e2d5ca in XGetSelectionOwner () from /usr/lib64/libX11.so.6
No symbol table info available.
#5  0x0000003a8665341a in gdk_selection_owner_get_for_display ()
   from /usr/lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#6  0x0000003a873868fb in gtk_selection_convert ()
   from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#7  0x000000000046bb3f in fm_directory_view_bump_zoom_level ()
No symbol table info available.
#8  0x000000000046fde5 in fm_directory_view_bump_zoom_level ()
No symbol table info available.
#9  0x000000000045d66d in fm_directory_view_update_menus ()
No symbol table info available.
#10 0x0000000000460112 in fm_directory_view_bump_zoom_level ()
No symbol table info available.
#11 0x0000003ed1a2d46b in g_source_get_current_time ()
   from /lib64/libglib-2.0.so.0
No symbol table info available.
#12 0x0000003ed1a2cf64 in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
No symbol table info available.
#13 0x0000003ed1a2fd9d in g_main_context_check () from /lib64/libglib-2.0.so.0
No symbol table info available.
#14 0x0000003ed1a300aa in g_main_loop_run () from /lib64/libglib-2.0.so.0
No symbol table info available.
#15 0x0000003a8732d023 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#16 0x000000000043a7a4 in POA_Nautilus_MetafileMonitor__init ()
No symbol table info available.
#17 0x0000003952c1da44 in __libc_start_main () from /lib64/libc.so.6
No symbol table info available.
#18 0x0000000000427399 in g_cclosure_marshal_VOID__ENUM ()
No symbol table info available.
#19 0x00007fff2942dd08 in ?? ()
No symbol table info available.
#20 0x0000000000000000 in ?? ()
No symbol table info available.
#0  0x0000003952cc4a36 in poll () from /lib64/libc.so.6


----------- .xsession-errors (6079 sec old) ---------------------
beryl: Couldn't bind redirected window 0x1073321 to texture
beryl: pixmap 0x44002f6 can't be bound to texture
beryl: Couldn't bind redirected window 0x1073321 to texture
beryl: pixmap 0x44002f6 can't be bound to texture
beryl: Couldn't bind redirected window 0x1073321 to texture
beryl: pixmap 0x44002f6 can't be bound to texture
beryl: Couldn't bind redirected window 0x1073321 to texture
beryl: pixmap 0x44002f6 can't be bound to texture
beryl: Couldn't bind redirected window 0x1073321 to texture
beryl: pixmap 0x44002f6 can't be bound to texture
beryl: Couldn't bind redirected window 0x1073321 to texture
beryl: pixmap 0x44002f6 can't be bound to texture
beryl: Couldn't bind redirected window 0x1073321 to texture
...Too much output, ignoring rest...
--------------------------------------------------

Additional nautilus packages installed:

nautilus-flac-converter-0.0.2-7.fc6
nautilus-actions-1.4-4.fc6
nautilus-sendto-bluetooth-0.7-5.fc6
nautilus-open-terminal-0.7-3.fc6
nautilus-image-converter-0.0.5-6.fc6
nautilus-extensions-2.16.2-7.fc6
nautilus-cd-burner-2.16.3-1.fc6
nautilus-search-tool-0.2-2.fc6
nautilus-cd-burner-2.16.3-1.fc6
nautilus-sendto-0.7-5.fc6
nautilus-extensions-2.16.2-7.fc6
Comment 1 Alexander Larsson 2007-04-11 11:21:58 EDT
To clarify, you don't see this on x86 or ppc, but on x86-64? 
Comment 2 Gian Paolo Mureddu 2007-04-11 11:27:23 EDT
Exactly, I've not seen this in ppc (albeit I'm not sure when was it last
updated) and x86 (fully updated) I even thought it might had been something
about my session, but my sandbox session behaves exactly the same when trying to
open directories in Nautilus from a local ftp:// sftp:// site.
Comment 3 Gian Paolo Mureddu 2007-04-11 11:29:03 EDT
I should also add after reading my original report, that this was working fine
with "boxed" Nautilus, i.e. when just installed, but apparently after some
update it started acting up.
Comment 4 Gian Paolo Mureddu 2007-05-16 02:56:05 EDT
For some time after the last update of Nautilus it was fine, however after the
last batch of updates (firefox, samba*, nfs, etc) it started to act up again. It
had been working just fine for some time, though. Here's the text that was sent
as a bug report through bug buddy to the GNOME bugzilla:

Distribution: Fedora Core release 6 (Zod)
Gnome Release: 2.16.3 2007-01-31 (Red Hat, Inc)
BugBuddy Version: 2.16.0

System: Linux 2.6.20-1.2948.fc6 #1 SMP Fri Apr 27 19:18:54 EDT 2007 x86_64
X Vendor: The X.Org Foundation
X Vendor Release: 70101000
Selinux: No
Accessibility: Disabled

Memory status: size: 572116992 vsize: 572116992 resident: 44249088 share:
23973888 rss: 44249088 rss_rlim: -1
CPU usage: start_time: 1179297929 rtime: 306 utime: 207 stime: 99 cutime:0
cstime: 0 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/bin/nautilus'

(no debugging symbols found)
Using host libthread_db library "/lib64/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 46912496412624 (LWP 8891)]
[New Thread 1073875264 (LWP 8925)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
0x0000003952cc4a36 in poll () from /lib64/libc.so.6
#0  0x0000003952cc4a36 in poll () from /lib64/libc.so.6
#1  0x000000302f24a830 in XAddConnectionWatch () from /usr/lib64/libX11.so.6
#2  0x000000302f24ac59 in _XRead () from /usr/lib64/libX11.so.6
#3  0x000000302f24b651 in _XReply () from /usr/lib64/libX11.so.6
#4  0x000000302f24331a in XSync () from /usr/lib64/libX11.so.6
#5  0x0000003fb6a43ece in gdk_flush () from /usr/lib64/libgdk-x11-2.0.so.0
#6  0x0000003fb6a215ea in gdk_image_new () from /usr/lib64/libgdk-x11-2.0.so.0
#7  0x0000003fb6a218d7 in gdk_image_new () from /usr/lib64/libgdk-x11-2.0.so.0
#8  0x0000003fb6a42159 in gdk_x11_drawable_get_xdisplay ()
   from /usr/lib64/libgdk-x11-2.0.so.0
#9  0x0000003fb6a26720 in gdk_pixbuf_render_pixmap_and_mask_for_colormap ()
   from /usr/lib64/libgdk-x11-2.0.so.0
#10 0x0000003fb663cc36 in gtk_window_get_default_icon_list ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#11 0x0000003fb663f392 in gtk_window_set_icon_name ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#12 0x0000000000456a77 in POA_Nautilus_MetafileMonitor__init ()
#13 0x0000000000456f71 in POA_Nautilus_MetafileMonitor__init ()
#14 0x000000000045fc09 in fm_directory_view_bump_zoom_level ()
#15 0x00000000004958d5 in nautilus_clipboard_monitor_emit_changed ()
#16 0x000000000049788f in nautilus_directory_async_state_changed ()
#17 0x0000003ed1a2cf64 in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
#18 0x0000003ed1a2fd9d in g_main_context_check () from /lib64/libglib-2.0.so.0
#19 0x0000003ed1a300aa in g_main_loop_run () from /lib64/libglib-2.0.so.0
#20 0x0000003fb652cf63 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#21 0x000000000043a7a4 in POA_Nautilus_MetafileMonitor__init ()
#22 0x0000003952c1da44 in __libc_start_main () from /lib64/libc.so.6
#23 0x0000000000427399 in g_cclosure_marshal_VOID__ENUM ()
#24 0x00007fff0e447e68 in ?? ()
#25 0x0000000000000000 in ?? ()

Thread 2 (Thread 1073875264 (LWP 8925)):
#0  0x000000395380d96f in waitpid () from /lib64/libpthread.so.0
No symbol table info available.
#1  0x000000341ba56d07 in gnome_gtk_module_info_get ()
   from /usr/lib64/libgnomeui-2.so.0
No symbol table info available.
#2  <signal handler called>
No symbol table info available.
#3  0x0000003952c301b5 in raise () from /lib64/libc.so.6
No symbol table info available.
#4  0x0000003952c31b20 in abort () from /lib64/libc.so.6
No symbol table info available.
#5  0x0000003952c298c6 in __assert_fail () from /lib64/libc.so.6
No symbol table info available.
#6  0x0000003031a14f1f in cairo_path_destroy () from /usr/lib64/libcairo.so.2
No symbol table info available.
#7  0x0000003031a138ec in cairo_path_destroy () from /usr/lib64/libcairo.so.2
No symbol table info available.
#8  0x0000003031a13b20 in cairo_path_destroy () from /usr/lib64/libcairo.so.2
No symbol table info available.
#9  0x0000003031a13b5c in cairo_path_destroy () from /usr/lib64/libcairo.so.2
No symbol table info available.
#10 0x0000003031a13da0 in cairo_path_destroy () from /usr/lib64/libcairo.so.2
No symbol table info available.
#11 0x0000003031a0df75 in cairo_font_options_create ()
   from /usr/lib64/libcairo.so.2
No symbol table info available.
#12 0x0000003031a098f9 in cairo_stroke_extents ()
   from /usr/lib64/libcairo.so.2
No symbol table info available.
#13 0x000000341ce28ac4 in rsvg_error_get_type ()
   from /usr/lib64/librsvg-2.so.2
No symbol table info available.
#14 0x000000341ce240e1 in rsvg_set_default_dpi ()
   from /usr/lib64/librsvg-2.so.2
No symbol table info available.
#15 0x000000341ce1d552 in rsvg_handle_new_from_data ()
   from /usr/lib64/librsvg-2.so.2
No symbol table info available.
#16 0x000000341ce1d7f3 in rsvg_handle_new_from_data ()
   from /usr/lib64/librsvg-2.so.2
No symbol table info available.
#17 0x000000341ce1d552 in rsvg_handle_new_from_data ()
   from /usr/lib64/librsvg-2.so.2
No symbol table info available.
#18 0x000000341ce1d7f3 in rsvg_handle_new_from_data ()
   from /usr/lib64/librsvg-2.so.2
No symbol table info available.
#19 0x000000341ce1d552 in rsvg_handle_new_from_data ()
   from /usr/lib64/librsvg-2.so.2
No symbol table info available.
#20 0x000000341ce1e027 in rsvg_handle_new_from_data ()
   from /usr/lib64/librsvg-2.so.2
No symbol table info available.
#21 0x000000341ce1d552 in rsvg_handle_new_from_data ()
   from /usr/lib64/librsvg-2.so.2
No symbol table info available.
#22 0x000000341ce293f8 in rsvg_handle_render_cairo_sub ()
   from /usr/lib64/librsvg-2.so.2
No symbol table info available.
#23 0x000000341ce2985d in rsvg_handle_get_pixbuf_sub ()
   from /usr/lib64/librsvg-2.so.2
No symbol table info available.
#24 0x00002aaab767ff1d in fill_info ()
   from /usr/lib64/gtk-2.0/2.10.0/loaders/svg_loader.so
No symbol table info available.
#25 0x0000003fb6009326 in gdk_pixbuf_loader_close ()
   from /usr/lib64/libgdk_pixbuf-2.0.so.0
No symbol table info available.
#26 0x000000341ba64750 in gnome_gdk_pixbuf_new_from_uri_at_scale ()
   from /usr/lib64/libgnomeui-2.so.0
No symbol table info available.
#27 0x000000341ba5450a in gnome_thumbnail_factory_generate_thumbnail ()
   from /usr/lib64/libgnomeui-2.so.0
No symbol table info available.
#28 0x00000000004cce39 in nautilus_marshal_BOOLEAN__POINTER ()
No symbol table info available.
#29 0x0000003953806305 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#30 0x0000003952ccd50d in clone () from /lib64/libc.so.6
No symbol table info available.
#31 0x0000000000000000 in ?? ()
No symbol table info available.

Thread 1 (Thread 46912496412624 (LWP 8891)):
#0  0x0000003952cc4a36 in poll () from /lib64/libc.so.6
No symbol table info available.
#1  0x000000302f24a830 in XAddConnectionWatch () from /usr/lib64/libX11.so.6
No symbol table info available.
#2  0x000000302f24ac59 in _XRead () from /usr/lib64/libX11.so.6
No symbol table info available.
#3  0x000000302f24b651 in _XReply () from /usr/lib64/libX11.so.6
No symbol table info available.
#4  0x000000302f24331a in XSync () from /usr/lib64/libX11.so.6
No symbol table info available.
#5  0x0000003fb6a43ece in gdk_flush () from /usr/lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#6  0x0000003fb6a215ea in gdk_image_new () from /usr/lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#7  0x0000003fb6a218d7 in gdk_image_new () from /usr/lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#8  0x0000003fb6a42159 in gdk_x11_drawable_get_xdisplay ()
   from /usr/lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#9  0x0000003fb6a26720 in gdk_pixbuf_render_pixmap_and_mask_for_colormap ()
   from /usr/lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#10 0x0000003fb663cc36 in gtk_window_get_default_icon_list ()
   from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#11 0x0000003fb663f392 in gtk_window_set_icon_name ()
   from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#12 0x0000000000456a77 in POA_Nautilus_MetafileMonitor__init ()
No symbol table info available.
#13 0x0000000000456f71 in POA_Nautilus_MetafileMonitor__init ()
No symbol table info available.
#14 0x000000000045fc09 in fm_directory_view_bump_zoom_level ()
No symbol table info available.
#15 0x00000000004958d5 in nautilus_clipboard_monitor_emit_changed ()
No symbol table info available.
#16 0x000000000049788f in nautilus_directory_async_state_changed ()
No symbol table info available.
#17 0x0000003ed1a2cf64 in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
No symbol table info available.
#18 0x0000003ed1a2fd9d in g_main_context_check () from /lib64/libglib-2.0.so.0
No symbol table info available.
#19 0x0000003ed1a300aa in g_main_loop_run () from /lib64/libglib-2.0.so.0
No symbol table info available.
#20 0x0000003fb652cf63 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#21 0x000000000043a7a4 in POA_Nautilus_MetafileMonitor__init ()
No symbol table info available.
#22 0x0000003952c1da44 in __libc_start_main () from /lib64/libc.so.6
No symbol table info available.
#23 0x0000000000427399 in g_cclosure_marshal_VOID__ENUM ()
No symbol table info available.
#24 0x00007fff0e447e68 in ?? ()
No symbol table info available.
#25 0x0000000000000000 in ?? ()
No symbol table info available.
#0  0x0000003952cc4a36 in poll () from /lib64/libc.so.6


----------- .xsession-errors (7 sec old) ---------------------
** Message: volume = 0
** Message: drive = 0
** Message: volume = 0
** Message: drive = 0
** Message: volume = 0
(nautilus:8891): Eel-WARNING **: Trying to add a callback for
preferences/background_set that already exists.
(nautilus:8891): Eel-WARNING **: Trying to add a callback for
preferences/background_color that already exists.
(nautilus:8891): Eel-WARNING **: Trying to add a callback for
preferences/background_filename that already exists.
** (bug-buddy:8936): WARNING **: No se pudo cargar el icono para Abrir carpeta
** (bug-buddy:8936): WARNING **: No se pudo cargar el icono para Preferencias de
encriptación
--------------------------------------------------

This again happened while trying to browse my local FTP with Nautilus.
Comment 5 Gian Paolo Mureddu 2007-05-16 02:59:54 EDT
Apparently this only happens with FTP users which are chrooted in vsftp... I
have nothing conclusive yet, but a regular user has no problems browsing the
site, while with a chrooted user nautilus crashes as soon as I try to open a
directory.
Comment 6 Bug Zapper 2008-04-04 02:49:33 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 15:29:32 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.